#!/usr/bin/env node
"use strict";

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

var _yargs = require("yargs");

var _yargs2 = _interopRequireDefault(_yargs);

var _package = require("../package.json");

var _package2 = _interopRequireDefault(_package);

var _ = require("./");

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _yargs$usage$option$o = _yargs2.default.usage("Usage: " + _chalk2.default.cyan(_package2.default.name, _chalk2.default.underline("KEY"), _chalk2.default.underline("TOKEN"), _chalk2.default.underline("DESCRIPTION"), _chalk2.default.underline("CALLBACK URL"), _chalk2.default.underline("MODEL ID"))).option("h", { alias: "help", describe: "Show help", type: "boolean" }).option("v", { alias: "version", describe: "Show version", type: "boolean" }),
    argv = _yargs$usage$option$o.argv;

if (argv.help || argv.h) {
  _yargs2.default.showHelp();
  process.exit();
}

if (argv.version || argv.v) {
  console.log(_package2.default.version);
  process.exit();
}

if (argv._.length !== 5) {
  _yargs2.default.showHelp();
  console.error(_chalk2.default.red("Key, token, description, callback URL, and model ID must be specified."));
  process.exit(1);
}

var _argv$_ = _slicedToArray(argv._, 5),
    key = _argv$_[0],
    token = _argv$_[1],
    description = _argv$_[2],
    callbackUrl = _argv$_[3],
    modelId = _argv$_[4];

console.log(_chalk2.default.green("Creating Trello webhook..."));

(0, _2.default)(key, token, description, callbackUrl, modelId).then(function (webhookId) {
  console.log(_chalk2.default.green("Done! Webhook ID = \"" + webhookId + "\"."));
  process.exit();
}).catch(function (error) {
  console.error(_chalk2.default.red(error.message || "An unexpected error occurred."));
  process.exit(1);
});